Loading...
Searching...
No Matches
uhd::op_failed Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::op_failed:
[legend]
Collaboration diagram for uhd::op_failed:
[legend]

## Public Member Functions

| op_failed (const std::string &what)
unsigned | code (void) const override
op_failed * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::rfnoc_error
| rfnoc_error (const std::string &what)
unsigned | code (void) const override
rfnoc_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Gets thrown when a transaction with an RFNoC block fails (IO error)

## Constructor & Destructor Documentation

## op_failed()

uhd::op_failed::op_failed | ( | const std::string & | what | ) |

## Member Function Documentation

## code()

unsigned uhd::op_failed::code | ( | void |  | ) | const

override virtual

Implements uhd::exception.

## dynamic_clone()

op_failed * uhd::op_failed::dynamic_clone | ( | void |  | ) | const

override virtual

Implements uhd::exception.

## dynamic_throw()

void uhd::op_failed::dynamic_throw | ( | void |  | ) | const

override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp